Get FX Quote

Request quote for FX trade

SecurityoAuth2
Request
Request Body schema: application/json
required

Quote request attributes to get the quote for a given ccy pair

channel
string

Channel through which the FX quote request is initiated (e.g., API, TELLER). This is optional and defaults to API if not provided. Channel values must be pre-configured in the Finzly system.

customerIdType
string

Specifies the type of customer identifier used. This field is optional when accountNumber is provided.

Enum: "CustomerUID" "CustomerShortName" "CustomerId"
customerId
string

Required when customerIdType is CustomerId. Represents the dynamic customer ID from the Customer system.

customerUID
string

Required when customerIdType is CustomerUID. Represents the unique identifier assigned to the customer.

customerShortName
string <= 255 characters

Required when customerIdType is CustomerShortName. Represents the unique short name assigned to the customer.

accountNumber
string <= 35 characters

Required when the customer is a cash customer. Represents the account number used to initiate the payment.

sellCurrency
required
string

Currency being sold.

buyCurrency
required
string

Currency being bought.

fundingAmount
number

Amount debited from the sender. Provide either fundingAmount or transferAmount, but not both.

transferAmount
number

Amount to be received by the beneficiary. Provide either transferAmount or fundingAmount, but not both.

productType
required
string

Type of FX product. Supported values are SPOT and FORWARD.

Enum: "SPOT" "FORWARD"
tenor
string

The length of time remaining before a financial contract expires. Only one is needed between tenor or valueDate. e.g. SPOT, ON, TN

valueDate
string

The delivery date on which counterparties to a transaction agree to settle their respective obligations by making payments and transferring ownership.Only one is needed between tenor or valueDate.The date format is in mm-dd-yyyy.

Responses
200

Successfully processed request

400

bad input parameter environment

401

You are not authorized to access the resource

403

Accessing the resource you were trying to reach is forbidden

404

The resource you were trying to reach is not found

405

bad input parameter environment

500

Internal server error

503

Service unavailable

default

Response to the Get FX Quote

post/v3/fx/quote
Request samples
application/json
{
  • "channel": "API.",
  • "customerIdType": "CustomerUID",
  • "customerId": "112344",
  • "customerUID": "112344",
  • "customerShortName": "ShortName",
  • "accountNumber": "1020304050",
  • "sellCurrency": "EUR",
  • "buyCurrency": "INR",
  • "fundingAmount": 10000,
  • "transferAmount": 1000,
  • "productType": "SPOT",
  • "tenor": "SPOT",
  • "valueDate": "01-01-2030"
}
Response samples
application/json
{
  • "status": "Success",
  • "code": "string",
  • "message": "string",
  • "data": {
    }
}